注册 登录
明经CAD社区 返回首页

13648893846的个人空间 http://www.mjtd.com/?7322544 [收藏] [复制] [分享] [RSS]

日志

获取曲线上指定两点距离

已有 330 次阅读2018-7-30 20:31 |系统分类:应用

;;[功能]获取曲线上指定两点距离
;;[用法](LC:curve-length (car(entsel "\n 选择曲线: ")) (getpoint "\n 选择曲线上第一点: ") (getpoint "\n 选择曲线上第二点: "))
;;[作者]老仓测绘上班记
(defun LC:curve-length (en p1 p2 / en p1 p2)
(if (and en p1 p2)
  (abs
  (- (vlax-curve-getDistAtPoint en (vlax-curve-getclosestpointto en p1))
     (vlax-curve-getDistAtPoint en (vlax-curve-getclosestpointto en p2))
     )
  )
  )
)

路过

雷人

握手

鲜花

鸡蛋

评论 (0 个评论)

facelist doodle 涂鸦板

您需要登录后才可以评论 登录 | 注册

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-12-11 04:16 , Processed in 0.105191 second(s), 18 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

返回顶部